Zoho crm Logo

HIPAA 合规性

HIPAA,即《医疗保险可携性和Account法案》,是US于1996年颁布的一项联邦法律,旨在确保个人健康信息(PHI)的保护。

随着越来越多的医疗机构开始使用CRM来顺利运行业务并将客户信息存储在共享数据库中,确保个人健康信息的机密性变得至关重要。在Zoho CRM中,我们为医疗机构提供了保护和限制个人健康信息导出的方法,以遵守HIPAA指南。

组织 API

在组织 API中,键HIPAA_compliance_enabled表示该组织是否启用了HIPAA合规性。此字段的数据类型为布尔值,即 true/false。此键也会在字段元数据和布局元数据 API 中检索,表示该字段或布局是否存储个人健康数据。

示例请求:获取组织数据

Copiedcurl "https://www.zohoapis.com/crm/v8/org"
-X GET
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"

注意:

  • 如果 HIPAA_compliance_enabled=true,则为组织启用了HIPAA合规性。
  • 如果 HIPAA_compliance_enabled=false,则禁用了HIPAA合规性。

示例响应

Copied{
  "org": [
    {
      "country": "US",
      "photo_id": null,
      "city": null,
      "description": null,
      "mc_status": true,
      "gapps_enabled": false,
      "domain_name": "org55528254",
      "translation_enabled": false,
      "street": null,
      "alias": null,
      "currency": "Indian Rupee",
      "id": "111111000000033001",
      "state": null,
      "fax": null,
      "employee_count": null,
      "zip": null,
      "website": "www.zylker.com",
      "currency_symbol": "₹",
      "mobile": null,
      "currency_locale": "en_IN",
      "primary_zuid": "55528367",
      "zia_portal_id": "59075125",
      "time_zone": "Asia/Calcutta",
      "zgid": "55528254",
      "country_code": "IN",
      "license_details": {
        "paid_expiry": null,
        "users_license_purchased": 3,
        "trial_type": "professional",
        "trial_expiry": "2018-05-17T17:20:05+05:30",
        "paid": false,
        "paid_type": "free"
      },
      "phone": "7867984524",
      "company_name": "Zylker",
      "privacy_settings": true,
      "primary_email": "p.boyle@zylker.com",
      "hipaa_compliance_enabled": true,
      "iso_code": "INR"
    }
  ]
}

字段元数据 API

字段hipaa_compliance是一个JSON对象,表示特定字段的包含个人健康数据选项是否已启用。

示例请求

Copiedcurl "https://www.zohoapis.com/crm/v8/settings/fields?module=Contacts"
-X GET
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"

在JSON对象中的布尔键:

  • restricted_in_export:表示该字段的数据导出是否受限。如果在HIPAA合规设置中启用了限制数据导出选项,则该值为true。
  • 受限:表示该字段是否可以通过 API 访问。如果在 HIPAA 合规设置中启用了 通过 API 限制数据访问 选项,则该值为 true。

此密钥也可以在布局元数据 API中检索到。

示例响应

Copied{
  "system_mandatory": false,
  "private": null,
  "webhook": true,
  "json_type": "string",
  "crypt": null,
  "field_label": "Status",
  "tooltip": null,
  "created_source": "default",
  "field_read_only": false,
  "display_label": "Status",
  "ui_type": 1,
  "read_only": false,
  "association_details": null,
  "businesscard_supported": false,
  "currency": {},
  "id": "492070000007480002",
  "custom_field": true,
  "lookup": {},
  "hipaa_compliance": {
    "restricted_in_export": true,
    "restricted": false
  },
  "visible": true,
  "length": 255,
  "view_type": {
    "view": true,
    "edit": true,
    "quick_create": false,
    "create": true
  },
  "subform": null,
  "external": null,
  "api_name": "Status",
  "unique": {},
  "history_tracking": false,
  "data_type": "text",
  "formula": {},
  "hipaa_compliance_enabled": true,
  "decimal_place": null,
  "mass_update": true,
  "multiselectlookup": {},
  "pick_list_values": [],
  "auto_number": {}
}

获取记录 API

只有在合规设置中禁用通过API限制数据访问选项时,才会检索包含敏感健康数据的字段的值。如果启用该选项,HIPAA合规字段的值将为null。

示例请求

Copiedcurl "https://www.zohoapis.com/crm/v8/Contacts/492070000007480017"
-X GET
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"

示例响应

Copied{
  "data": [
    {
      "Owner": {
        "name": "Patricia Boyle",
        "id": "492070000000209017",
        "email": "patricia.b@zohocorp.com"
      },
      "Email": null,
      "$currency_symbol": "AR$",
      "Visitor_Score": null,
      "Other_Phone": null,
      "Field_With_Health_Data": "*Sensitive Health Data*",
      "Mailing_State": null,
      "Other_State": null,
      "$followers": null,
      "Other_Country": null,
      "Last_Activity_Time": null,
      "Department": null,
      "$state": "save",
      "Unsubscribed_Mode": null,
      "$process_flow": false,
      "Assistant": null,
      "Exchange_Rate": 15,
      "Currency": "ARS",
      "Mailing_Country": null,
      "Data_Processing_Basis_Details": null,
      "id": "492070000007480017",
      "Data_Source": "Manual",
      "$approved": true,
      "Reporting_To": null,
      "$approval": {
        "delegate": false,
        "approve": false,
        "reject": false,
        "resubmit": false
      },
      "First_Visited_URL": null,
      "Days_Visited": null,
      "Account_Site_2": null,
      "Other_City": null,
      "$data_source_details": null,
      "Created_Time": "2021-03-15T16:15:18+05:30",
      "$followed": false,
      "$editable": true,
      "Home_Phone": null,
      "Last_Visited_Time": null,
      "Created_By": {
        "name": "Patricia Boyle",
        "id": "492070000000209017",
        "email": "patricia.b@zohocorp.com"
      },
      "Secondary_Email": null,
      "Description": null,
      "Vendor_Name": {
        "name": "v2",
        "id": "492070000007348082"
      },
      "Mailing_Zip": null,
      "Reports_To": null,
      "Number_Of_Chats": null,
      "$review_process": {
        "approve": false,
        "reject": false,
        "resubmit": false
      },
      "Twitter": null,
      "Other_Zip": null,
      "Mailing_Street": null,
      "Average_Time_Spent_Minutes": null,
      "$canvas_id": null,
      "Salutation": null,
      "Account_Number_1": null,
      "First_Name": "Patricia",
      "Full_Name": "Patricia Boyle",
      "Asst_Phone": null,
      "Record_Image": null,
      "Modified_By": {
        "name": "Patricia Boyle",
        "id": "492070000000209017",
        "email": "patricia.b@zohocorp.com"
      },
      "$review": null,
      "Skype_ID": null,
      "Phone": null,
      "Account_Name": null,
      "Email_Opt_Out": false,
      "Modified_Time": "2021-03-15T16:15:18+05:30",
      "Date_of_Birth": null,
      "Mailing_City": null,
      "Pick_List_1": null,
      "Unsubscribed_Time": null,
      "Title": null,
      "Other_Street": null,
      "Mobile": null,
      "Territories": null,
      "$orchestration": false,
      "$stop_processing": false,
      "First_Visited_Time": null,
      "Last_Name": "Boyle",
      "$in_merge": false,
      "Referrer": null,
      "Lead_Source": "Advertisement",
      "Tag": [],
      "Fax": null,
      "$approval_state": "approved"
    }
  ]
}

搜索记录 API

当您将HIPAA合规字段添加到搜索API条件中时,只有在合规设置中的通过API限制数据访问选项禁用的情况下,才会检索到响应。否则,系统会抛出INVALID_QUERY错误。有关详细信息,请参阅代码窗格中的示例错误响应。

示例错误响应

Copied{
    "code": "INVALID_QUERY",
    "details": {
        "reason": "Cannot use the restricted field.",
        "api_name": "HIPAA"
    },
    "message": "the field in restricted in GDPR",
    "status": "error"
}

批量读取 API

只有在合规设置中禁用通过 API 限制数据访问选项时,才会检索包含敏感健康数据的字段的值。如果启用了该选项,结果中 HIPAA 合规字段的值将会是空的。

HIPAA字段为空值

示例请求

Copiedcurl "https://www.zohoapis.com/crm/bulk/v6/read/554023000000568002/result"
-X GET
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"